*Quantum Package* is an open-source programming environment for quantum
chemistry specially designed for wave function methods. Its main goal is the
development of determinant-driven selected configuration interaction (sCI)
methods and multi-reference second-order perturbation theory (PT2).

The determinant-driven framework allows the programmer to include any arbitrary
set of determinants in the reference space, hence providing greater
methodological freedoms. The sCI method implemented in *Quantum Package* is
based on the CIPSI (Configuration Interaction using a Perturbative Selection
made Iteratively) algorithm which complements the variational sCI energy with a
PT2 correction.  Additional external plugins have been recently added to
perform calculations with multireference coupled cluster theory and
range-separated density-functional theory.


* [Download the source code](http://github.com/QuantumPackage/qp2/releases/latest)
* [Read the documentation](https://quantum-package.readthedocs.io)
* [Try it now in your web browser](/page/try)

-----------------

**Quantum Package 2.0: An Open-Source Determinant-Driven Suite of Programs**\
Yann Garniron, Thomas Applencourt, Kevin Gasperich, Anouar Benali, Anthony Ferté, Julien Paquier, Barthélémy Pradines, Roland Assaraf, Peter Reinhardt, Julien Toulouse, Pierrette Barbaresco, Nicolas Renon, Grégoire David, Jean-Paul Malrieu, Mickaël Véril, Michel Caffarel, Pierre-François Loos, Emmanuel Giner, Anthony Scemama\
[J. Chem. Theory Comput. 2019, 15, 6, 3591-3609](https://doi.org/10.1021/acs.jctc.9b00176)\
https://arxiv.org/abs/1902.08154
